Install helper lib libplasmaweather as unversioned libplasmaweatherprivate

it's not for public consumption, only used by weather applet currently
Ideally would be merged into that plugins code, but cannot (yet) due to
LGPL vs GPL
Also no parallel installation supported and always in bundle with
the applet only, so no versioning needed
parent 37b8c9cc
......@@ -28,8 +28,10 @@ target_link_libraries(plasmaweather
KF5::Notifications
KF5::I18n
)
# TODO: find vars which would bump the version on every release, given ABI is unstable
set_target_properties(plasmaweather PROPERTIES VERSION 2.0.0 SOVERSION 1)
install(TARGETS plasmaweather ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
set_target_properties(plasmaweather PROPERTIES
OUTPUT_NAME plasmaweatherprivate
)
install(TARGETS plasmaweather ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
# nothing outside of kdeplasma-addons uses this library, and the API is not stable -> do not install headers!
#install(FILES ${plasmaweather_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/plasmaweather COMPONENT Devel)
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment